> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Invoice Detail

GET https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/{invoiceId}

get invoice detail

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/invoice-management/invoice/get-invoices-invoice-id

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `invoiceId` (string, required) — invoice id

## Response

### 200

OK

- `meta` (InvoicesInvoiceIdGetResponsesContentApplicationJsonSchemaMeta, required)
- `code` (double, optional)
- `data` (InvoicesInvoiceIdGetResponsesContentApplicationJsonSchemaData, optional) — Extra Field Values

## Errors

### 404 Not Found Error

Example response

- `code` (double, required)
- `data` (InvoicesInvoiceIdGetResponsesContentApplicationJsonSchemaData, required)
- `meta` (InvoicesInvoiceIdGetResponsesContentApplicationJsonSchemaMeta, required)

## Types

### InvoicesInvoiceIdGetResponsesContentApplicationJsonSchemaMeta

- `message` (string, required)

### InvoicesInvoiceIdGetResponsesContentApplicationJsonSchemaData

- `errMsg` (string, required)

## Examples

**Response**

```json
{
  "meta": {
    "message": "string"
  },
  "code": 1.1,
  "data": {
    "channelId": "string",
    "channelName": "string",
    "createdAt": "string",
    "customerId": "string",
    "customerName": "string",
    "details": {
      "details": {
        "lineItems": [
          {
            "comments": "string",
            "customFields": {
              "key": "string",
              "value": "string"
            },
            "description": "string",
            "quantity": "string",
            "sku": "string",
            "type": "string",
            "unitDiscount": {
              "code": "string",
              "value": "string"
            },
            "unitPrice": {
              "code": "USA",
              "value": "string"
            }
          }
        ],
        "shipments": [
          {
            "addressIndex": "string",
            "comments": "string",
            "customFields": {
              "key": "string",
              "value": "string"
            },
            "shipDate": "string",
            "shipVia": "string",
            "trackingNumber": "string"
          }
        ]
      },
      "header": {
        "billingAddress": {
          "city": "string",
          "country": "string",
          "customFields": {
            "key": "string",
            "value": "string"
          },
          "firstName": "string",
          "lastName": "string",
          "state": "string",
          "street1": "string",
          "street2": "string",
          "zipCode": "string"
        },
        "costLines": [
          {
            "amount": {
              "code": "string",
              "value": "string"
            },
            "description": "string"
          }
        ],
        "customerFields": {
          "key": "string",
          "value": "string"
        },
        "orderDate": 1.1,
        "shippingAddresses": [
          {
            "city": "string",
            "country": "string",
            "customFields": {
              "key": "string",
              "value": "string"
            },
            "firstName": "string",
            "lastName": "string",
            "state": "string",
            "street1": "string",
            "street2": "string",
            "zipCode": "string"
          }
        ]
      },
      "type": "string"
    },
    "dueDate": 1.1,
    "externalCustomerId": "string",
    "externalId": "string",
    "extraFields": [
      {
        "fieldName": "string",
        "fieldValue": "string"
      }
    ],
    "id": 1.1,
    "invoiceNumber": "string",
    "isPendingPayment": 1.1,
    "openBalance": {
      "code": "string",
      "value": "string"
    },
    "orderNumber": "string",
    "originalBalance": {
      "code": "string",
      "value": "string"
    },
    "purchaseOrderNumber": "string",
    "source": 0,
    "status": 1.1,
    "termsConditions": "string",
    "type": "string",
    "updatedAt": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/invoiceId"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/invoiceId';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/invoiceId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/invoiceId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/invoiceId")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/invoiceId', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/invoiceId");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/invoiceId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```